$.format = function (source, params) 
{
	if (arguments.length == 1)
	return function () {
	var args = $.makeArray(arguments);
	args.unshift(source);
	return $.format.apply(this, args);
	};
	if (arguments.length > 2 && params.constructor != Array) {
	params = $.makeArray(arguments).slice(1);
	}
	if (params.constructor != Array) {
	params = [params];
	}
	$.each(params, function (i, n) {
	source = source.replace(new RegExp("\\{" + i + "\\}", "g"), n);
	});
	return source;
}; 

function getSWF(movieName)
{
	if (navigator.appName.indexOf("Microsoft") != -1)
	{
		return window[movieName];
	}
	else
	{
		return document[movieName];
	}
}

function getDataTimes()
{
	var strDate,strTime;
	strDate = new Date();
	strTime = strDate.getTime();
	return strTime;
}

function GetSendTime()
{
	var d = new Date();
	return (d.getHours()<10?"0"+d.getHours():d.getHours())+":"+(d.getMinutes()<10?"0"+d.getMinutes():d.getMinutes());
}

function iUserInfo()
{
	var e = new Object();
	e.UserID = "999";
	e.RoomID = "56789";
	e.UserNickName = "╰★小阳杨`☆";
	e.Live_NG_ID = "3";
	e.IsManager = false;
	e.LevelClass = "star4";
	e.FixIcon = "http://vi0.6.cn/live/family/900001282_68873.png";
	e.VIPIcon = "vip";
	e.BestAccount = "56789";
	e.LevelID = 4;
	e.EnterTime = getDataTimes();
	return e;
}
var iInfo = iUserInfo();

